Bug 188797 - CVE-2006-1724 Crashes with evidence of memory corruption (1.5.0.2)
CVE-2006-1724 Crashes with evidence of memory corruption (1.5.0.2)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-12 22:26 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 08:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:26:03 EDT
Crashes with evidence of memory corruption (1.5.0.2)


As  part of the Firefox 1.5.0.2 release we fixed several crash bugs to
improve the stability of the product, with a particular focus on finding
crashes caused by DHTML. Some of these crashes showed evidence of memory
corruption that we presume could be exploited to run arbitrary code with
enough effort.

Note:  Thunderbird shares the browser engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
the mail portion of SeaMonkey.

References

Also fixed in Firefox/Thunderbird 1.0.8, Mozilla Suite 1.7.13
[1]https://bugzilla.mozilla.org/show_bug.cgi?id=282105
Muck with the boxobject's internal frame pointer.
CVE-2006-1724


This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-04-24 08:50:07 EDT
Lifting embargo
Comment 2 David Eisenstein 2006-06-24 12:13:30 EDT
*Ping*  Was this bug fixed anywhere?  I do not see CVE-2006-1724 listed among
the items fixed in Mozilla.  Is this, perhaps, a Firefox-only bug?
Comment 3 David Eisenstein 2006-10-02 07:45:49 EDT
*ping*  Noticing that this bugzilla remains open.  Hasn't Seamonkey already
been issued to replace Mozilla for the RHEL's?  If so, could this bug be
closed somehow, referring folks to look at (an) RHSA for Seamonkey for the fix
to this issue?

As a matter of fact, wasn't this issue fixed with Mozilla-1.7.13 instead of
needing Seamonkey to fix it?  Or was Mozilla-1.7.13 ever issued for RHEL?

Mitre's CVE-2006-1724 indicates a couple of RHSA's were issued for this issue,
but they were for:

  * <http://rhn.redhat.com/errata/RHSA-2006-0328.html> Firefox, and
  * <http://rhn.redhat.com/errata/RHSA-2006-0330.html> Thunderbird,

not for Mozilla/Seamonkey...
Comment 4 David Eisenstein 2006-10-02 08:11:46 EDT
Ah.  Looks like this Mozilla issue is fixed by:
  <http://rhn.redhat.com/errata/RHSA-2006-0329.html>.
Comment 5 Mark J. Cox (Product Security) 2006-10-02 08:26:45 EDT
Hmm, RHSA-2006:0329 doesn't list CVE-2006-1724, we'll have to look if this was
deliberate or if it's a mistake.
Comment 6 Josh Bressers 2006-10-02 14:35:51 EDT
RHSA-2006:0329 not listing this CVE id is a mistake, I'm fixing it now.  Thanks
for catching this.

Note You need to log in before you can comment on or make changes to this bug.